Simular condições do valor desejado para compra
curl --request POST \
--url https://api.example.com/api/services/app/EmprestimoFgts/Simular \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>",
"desiredAmount": 123
}
'import requests
url = "https://api.example.com/api/services/app/EmprestimoFgts/Simular"
payload = {
"code": "<string>",
"desiredAmount": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({code: '<string>', desiredAmount: 123})
};
fetch('https://api.example.com/api/services/app/EmprestimoFgts/Simular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EmprestimoFgts/Simular",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'desiredAmount' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EmprestimoFgts/Simular"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/EmprestimoFgts/Simular")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EmprestimoFgts/Simular")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}"
response = http.request(request)
puts response.read_body{
"clientLoanAmount": 123,
"value": 123,
"monthlyRate": 123,
"monthlyCETRate": 123,
"operationAmount": 123,
"period": 123,
"code": "<string>",
"completeUrl": "<string>",
"simulationInstallments": [
{
"transferAmount": 123,
"transferDate": "2023-11-07T05:31:56Z",
"principalAmount": 123
}
]
}Empréstimo FGTS
Simular condições do valor desejado para compra
Em caso de sucesso na simulação da contratação, será retornado uma lista de períodos e valores disponíveis, além do resumo da operação com taxas e encargos para o valor desejado na simulação.
POST
/
api
/
services
/
app
/
EmprestimoFgts
/
Simular
Simular condições do valor desejado para compra
curl --request POST \
--url https://api.example.com/api/services/app/EmprestimoFgts/Simular \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>",
"desiredAmount": 123
}
'import requests
url = "https://api.example.com/api/services/app/EmprestimoFgts/Simular"
payload = {
"code": "<string>",
"desiredAmount": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({code: '<string>', desiredAmount: 123})
};
fetch('https://api.example.com/api/services/app/EmprestimoFgts/Simular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/EmprestimoFgts/Simular",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'desiredAmount' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/EmprestimoFgts/Simular"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/EmprestimoFgts/Simular")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/EmprestimoFgts/Simular")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\",\n \"desiredAmount\": 123\n}"
response = http.request(request)
puts response.read_body{
"clientLoanAmount": 123,
"value": 123,
"monthlyRate": 123,
"monthlyCETRate": 123,
"operationAmount": 123,
"period": 123,
"code": "<string>",
"completeUrl": "<string>",
"simulationInstallments": [
{
"transferAmount": 123,
"transferDate": "2023-11-07T05:31:56Z",
"principalAmount": 123
}
]
}Simula as condições para o valor desejado de antecipação FGTS. Informe o
code (retornado
na consulta de saldo) e o desiredAmount.
curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/EmprestimoFgts/Simular" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "code": "ABC123", "desiredAmount": 1500 }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Input com os dados para proposta
Response
OK
Resultado da simulação de contratação de empréstimo FGTS para a API de integração.
Valor solicitado pelo cliente na simulação.
Valor da operação, incluindo o total de serviços adicionais.
Taxa de juros mensal aplicada na simulação.
Custo Efetivo Total (CET) mensal da operação simulada.
Valor total da operação simulada.
Quantidade de parcelas (prazo) da simulação.
Código público da operação.
URL para o cliente concluir a contratação da operação simulada.
Lista das parcelas previstas para a simulação.
Show child attributes
Show child attributes